import { Component, OnInit } from '@angular/core';
import { Exercise } from 'app/shared/model/exercise.model';
import { MOCK_RESULTS } from './mock-search-results';

@Component({
  selector: 'jhi-mock-search',
  templateUrl: './mock-search.component.html',
  styleUrls: ['./mock-search.scss'],
})
export class MockSearchComponent implements OnInit {
  mockResults = MOCK_RESULTS;
  selectedResult?: Exercise;

  constructor() {}

  ngOnInit(): void {}

  public get results(): Exercise[] {
    return this.mockResults;
  }

  selectExercise(exercise: Exercise): void {
    this.selectedResult = exercise;
  }
}
